using System;

namespace tp
{
    class Program
    {
        static void Main(string[] args)
        {
            string c = new string(Console.ReadLine());
            char c1 = c[0];
            char c2 = c[1];
            var a = Console.ReadLine().Split();
            int a1 = int.Parse(a[0]);
            int a2 = int.Parse(a[1]);
            if (a1 == a2)
            {
                for (int i = 1; i <= (a1 + a2) / 2; i++)
                {
                    Console.Write(c1);
                    Console.Write(c2);
                }
            }
            else if (a2 == a1 - 1)
            {
                for (int i = 1; i <= (a1 + a2) / 2; i++)
                {
                    Console.Write(c1);
                    Console.Write(c2);
                }
                Console.Write(c1);
            }
            else if(a1==a2-1)
            {
                for (int i = 1; i <= (a1 + a2) / 2; i++)
                {
                    Console.Write(c2);
                    Console.Write(c1);
                }
                Console.Write(c2);
            }
            else
            {
                Console.WriteLine("nemoguce");
            }

        }
    }
}